summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2018-09-10 12:11:52 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2018-09-10 12:11:59 +0000
commit0299407312b4446dd3ce8a519de55df0f6b0b546 (patch)
tree44860071b942add8f628ab9387a33b34b1bcfea0
parentMerging debian version 1:6.1.0-1. (diff)
downloadlibreoffice-0299407312b4446dd3ce8a519de55df0f6b0b546.zip
libreoffice-0299407312b4446dd3ce8a519de55df0f6b0b546.tar.xz
Regenerating debian files.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
-rw-r--r--debian/control95
1 files changed, 48 insertions, 47 deletions
diff --git a/debian/control b/debian/control
index 6773936..32a191d 100644
--- a/debian/control
+++ b/debian/control
@@ -1,8 +1,11 @@
Source: libreoffice
Section: editors
Priority: optional
-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
-Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
+XSBC-Original-Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
+Bugs: mailto:maintainers@lists.progress-linux.org
Build-Depends: apparmor <!nocheck>,
autoconf,
automake,
@@ -11,14 +14,12 @@ Build-Depends: apparmor <!nocheck>,
bison,
bzip2,
chromium [amd64 arm64 armhf i386],
- coinor-libcoinmp-dev (>= 1.8.3-2),
- coinor-libcoinutils-dev (>= 2.10.14+repack1-1),
+ coinor-libcoinmp-dev (>= 1.7.6+dfsg1-2),
+ coinor-libcoinutils-dev (>= 2.9.15-3.1),
debhelper (>= 10),
- default-jdk (>= 1:1.6) [!hppa !s390 !sparc !hurd-i386 !i386],
- default-jdk (>= 1:1.7-48) [ia64],
+ default-jdk (>= 1:1.6) [!hppa !mips64 !s390 !sparc],
default-jdk (>= 2:1.7-52.1) [kfreebsd-any],
default-jdk (>= 2:1.8-55) [sparc64],
- default-jdk (>= 2:1.9) [i386],
default-libmysqlclient-dev,
dh-apparmor,
dh-python,
@@ -35,20 +36,19 @@ Build-Depends: apparmor <!nocheck>,
gcc (>= 4:7) [m68k],
gdb [!hppa !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mips64 !powerpc !powerpcspe !ppc64 !s390 !s390x !sparc !sparc64] <!nocheck>,
ghostscript [!hppa !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mips64 !powerpc !powerpcspe !ppc64 !s390 !s390x !sparc !sparc64] <!nocheck>,
+ gnupg <!nocheck>,
+ gnupg-agent <!nocheck>,
gobject-introspection (>= 1.32.0),
gperf,
- gpg <!nocheck>,
- gpg-agent <!nocheck>,
- gpgconf <!nocheck>,
hunspell-en-us [!hppa !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mips64 !powerpc !powerpcspe !ppc64 !s390 !s390x !sparc !sparc64] <!nocheck>,
imagemagick [!hppa !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mips64 !powerpc !powerpcspe !ppc64 !s390 !s390x !sparc !sparc64] <!nocheck>,
- java-common (>= 0.61),
+ java-common (>= 0.49),
javahelper (>= 0.37~),
junit4 (>= 4.8.2-2) [amd64 arm64] <!nocheck>,
libabw-dev (>= 0.1),
- libarchive-zip-perl [!hppa !mips64 !s390 !sparc],
+ libarchive-zip-perl [!hppa !ia64 !mips64 !s390 !sparc],
libavahi-client-dev,
- libbase-java [!hppa !mips64 !s390 !sparc],
+ libbase-java [!hppa !ia64 !mips64 !s390 !sparc],
libbluetooth-dev [linux-any],
libboost-date-time-dev (>= 1.58),
libboost-dev (>= 1.58),
@@ -56,13 +56,14 @@ Build-Depends: apparmor <!nocheck>,
libboost-iostreams-dev (>= 1.58),
libboost-locale-dev (>= 1.58),
libboost-system-dev (>= 1.58),
+ libbz2-dev,
libc0.1 (>= 2.10.2-7) [kfreebsd-any],
libc6 (>= 2.17-6) [mips mipsel],
libcairo2-dev,
libcdr-dev (>= 0.1),
libclucene-dev (>= 2.3.3.4-4.1),
libcmis-dev (>= 0.5.0-3),
- libcommons-logging-java [!hppa !mips64 !s390 !sparc],
+ libcommons-logging-java [!hppa !ia64 !mips64 !s390 !sparc],
libcppunit-dev (>= 1.14) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mips64 !powerpc !powerpcspe !ppc64 !s390 !s390x !sparc !sparc64] <!nocheck>,
libcups2-dev,
libcurl4-gnutls-dev,
@@ -78,17 +79,17 @@ Build-Depends: apparmor <!nocheck>,
libetonyek-dev (>= 0.1.8) <!nocheck>,
libexpat1-dev,
libexttextcat-dev (>= 3.4.1),
- libflute-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc],
+ libflute-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
libfontconfig1-dev,
- libfonts-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc],
- libformula-java (>= 1.1.7) [!hppa !mips64 !s390 !sparc],
+ libfonts-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
+ libformula-java (>= 1.1.7) [!hppa !ia64 !mips64 !s390 !sparc],
libfreehand-dev (>= 0.1),
libfreetype6-dev (>= 2.2.0),
libgirepository1.0-dev (>= 1.32),
libgl1-mesa-dev,
libglib2.0-dev (>= 2.38.0),
libglib2.0-dev (>= 2.4),
- libglm-dev (>= 0.9.9~a2),
+ libglm-dev (>= 0.9.6.3),
libgpg-error-dev,
libgpgme-dev,
libgpgmepp-dev,
@@ -98,7 +99,7 @@ Build-Depends: apparmor <!nocheck>,
libgtk-3-dev (>= 3.18.0),
libgtk2.0-dev (>= 2.18.0),
libharfbuzz-dev (>= 0.9.42),
- libhsqldb1.8.0-java (>> 1.8.0.10) [!hppa !mips64 !s390 !sparc],
+ libhsqldb1.8.0-java (>> 1.8.0.10) [!hppa !ia64 !mips64 !s390 !sparc],
libhunspell-dev (>= 1.1.5-2),
libhyphen-dev (>= 2.4),
libice-dev,
@@ -110,10 +111,10 @@ Build-Depends: apparmor <!nocheck>,
libkf5kio-dev,
libkf5windowsystem-dev,
liblangtag-dev (>= 0.4),
- liblayout-java (>= 0.2.10) [!hppa !mips64 !s390 !sparc],
+ liblayout-java (>= 0.2.10) [!hppa !ia64 !mips64 !s390 !sparc],
liblcms2-dev,
libldap2-dev,
- libloader-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc],
+ libloader-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
liblpsolve55-dev (>= 5.5.0.13-5+b1),
libmdds-dev (>= 1.2.3),
libmspub-dev (>= 0.1),
@@ -128,7 +129,7 @@ Build-Depends: apparmor <!nocheck>,
libodfgen-dev (>= 0.1),
liborcus-dev (>= 0.13.3),
libpagemaker-dev,
- libpentaho-reporting-flow-engine-java (>= 0.9.4) [!hppa !mips64 !s390 !sparc],
+ libpentaho-reporting-flow-engine-java (>= 0.9.4) [!hppa !ia64 !mips64 !s390 !sparc],
libpng-dev,
libpoppler-cpp-dev,
libpoppler-dev (>= 0.12.0),
@@ -137,11 +138,11 @@ Build-Depends: apparmor <!nocheck>,
libqt5x11extras5-dev (>= 5.6),
libqxp-dev,
librdf0-dev (>= 1.0.16-2),
- librepository-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc],
+ librepository-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
librevenge-dev,
- libsac-java [!hppa !mips64 !s390 !sparc],
+ libsac-java [!hppa !ia64 !mips64 !s390 !sparc],
libsane-dev,
- libserializer-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc],
+ libserializer-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
libsm-dev,
libstaroffice-dev,
libstaroffice-dev (>= 0.0.3) <!nocheck>,
@@ -158,7 +159,7 @@ Build-Depends: apparmor <!nocheck>,
libxext-dev,
libxinerama-dev,
libxkbfile-dev,
- libxml-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc],
+ libxml-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
libxml2-dev (>= 2.8),
libxml2-utils,
libxmlsec1-dev (>= 1.2.24),
@@ -175,7 +176,6 @@ Build-Depends: apparmor <!nocheck>,
pstoedit [!hppa !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mips64 !powerpc !powerpcspe !ppc64 !s390 !s390x !sparc !sparc64] <!nocheck>,
python3,
python3-dev (>= 3.3),
- python3-distutils,
python3-lxml <!nocheck>,
qt5-qmake (>= 5.6),
qtbase5-dev (>= 5.6),
@@ -188,8 +188,8 @@ Build-Depends: apparmor <!nocheck>,
xsltproc,
zip,
zlib1g-dev
-Build-Depends-Indep: ant (>= 1.7.0) [!hppa !mips64 !s390 !sparc],
- ant-optional (>= 1.7.0) [!hppa !mips64 !s390 !sparc],
+Build-Depends-Indep: ant (>= 1.7.0) [!hppa !ia64 !mips64 !s390 !sparc],
+ ant-optional (>= 1.7.0) [!hppa !ia64 !mips64 !s390 !sparc],
doxygen (>= 1.8.4) <!nodoc>,
g++-mingw-w64-i686,
gettext,
@@ -208,21 +208,22 @@ Build-Conflicts: amd-libopencl1,
nvidia-glx-legacy-dev,
nvidia-libopencl1
Standards-Version: 4.0.1
-Vcs-Git: https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice.git
-Vcs-Browser: https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice
-Bugs:
+Vcs-Browser: https://sources.progress-linux.org/distributions/dschinn-backports/packages/libreoffice
+Vcs-Git: https://sources.progress-linux.org/distributions/dschinn-backports/packages/libreoffice
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice
+XSBC-Original-Vcs-Git: https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice.git
Homepage: http://www.libreoffice.org
Package: libreoffice
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64
Section: metapackages
-Depends: libreoffice-base [!hppa !mips64 !s390 !sparc],
+Depends: libreoffice-base [!hppa !ia64 !mips64 !s390 !sparc],
libreoffice-calc,
libreoffice-core (= ${binary:Version}),
libreoffice-draw,
libreoffice-impress,
libreoffice-math,
- libreoffice-report-builder-bin [!hppa !mips64 !s390 !sparc],
+ libreoffice-report-builder-bin [!hppa !ia64 !mips64 !s390 !sparc],
libreoffice-writer,
${avmedia-be-depends},
${misc:Depends},
@@ -239,7 +240,7 @@ Recommends: fonts-crosextra-caladea,
libreoffice-librelogo,
libreoffice-nlpsolver,
libreoffice-ogltrans,
- libreoffice-report-builder [!hppa !mips64 !s390 !sparc],
+ libreoffice-report-builder [!hppa !ia64 !mips64 !s390 !sparc],
libreoffice-script-provider-bsh,
libreoffice-script-provider-js,
libreoffice-script-provider-python,
@@ -457,7 +458,7 @@ Description: office productivity suite -- common files for LibreOffice help
Package: libreoffice-writer
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64
-Depends: libreoffice-base-core (= ${binary:Version}) [!hppa !mips64 !s390 !sparc],
+Depends: libreoffice-base-core (= ${binary:Version}) [!hppa !ia64 !mips64 !s390 !sparc],
libreoffice-core (= ${binary:Version}),
${misc:Depends},
${shlibs:Depends}
@@ -477,7 +478,7 @@ Description: office productivity suite -- word processor
Package: libreoffice-calc
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64
-Depends: libreoffice-base-core (= ${binary:Version}) [!hppa !mips64 !s390 !sparc],
+Depends: libreoffice-base-core (= ${binary:Version}) [!hppa !ia64 !mips64 !s390 !sparc],
libreoffice-core (= ${binary:Version}),
${lpsolve-dep},
${misc:Depends},
@@ -533,7 +534,7 @@ Description: office productivity suite -- equation editor
This package contains the equation editor component for LibreOffice.
Package: libreoffice-base-core
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el powerpcspe s390x sparc64 kfreebsd-amd64 kfreebsd-i386
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 kfreebsd-amd64 kfreebsd-i386
Depends: libreoffice-core (= ${binary:Version}),
${misc:Depends},
${shlibs:Depends}
@@ -549,7 +550,7 @@ Description: office productivity suite -- shared library
install libreoffice-base.
Package: libreoffice-base
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el powerpcspe s390x sparc64 kfreebsd-amd64 kfreebsd-i386
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 kfreebsd-amd64 kfreebsd-i386
Section: database
Depends: libreoffice-base-core (= ${binary:Version}),
libreoffice-base-drivers (= ${binary:Version}),
@@ -671,7 +672,7 @@ Description: Python-UNO bridge
Homepage: http://udk.openoffice.org/python/python-bridge.html
Package: libreoffice-officebean
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el powerpcspe s390x sparc64 kfreebsd-amd64 kfreebsd-i386
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 kfreebsd-amd64 kfreebsd-i386
Section: java
Depends: libreoffice-core (= ${binary:Version}),
${java-common-depends},
@@ -777,7 +778,7 @@ Depends: libreoffice-core,
${java:Depends},
${misc:Depends},
${shlibs:Depends}
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el powerpcspe s390x sparc64 kfreebsd-amd64 kfreebsd-i386
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 kfreebsd-amd64 kfreebsd-i386
Section: database
Enhances: libreoffice-base-drivers
Description: HSQLDB SDBC driver for LibreOffice
@@ -789,13 +790,13 @@ Description: HSQLDB SDBC driver for LibreOffice
Package: libreoffice-base-drivers
Depends: libreoffice-core, ${misc:Depends}, ${shlibs:Depends}
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el powerpcspe s390x sparc64 kfreebsd-amd64 kfreebsd-i386
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 kfreebsd-amd64 kfreebsd-i386
Section: database
Suggests: libjtds-java,
libreoffice-mysql-connector | libmyodbc | libmysql-java,
libreoffice-sdbc-postgresql | odbc-postgresql | libpg-java,
libsqliteodbc | tdsodbc | mdbtools
-Recommends: libreoffice-sdbc-hsqldb [alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el powerpcspe s390x sparc64 kfreebsd-amd64 kfreebsd-i386],
+Recommends: libreoffice-sdbc-hsqldb [alpha amd64 arm64 armel armhf i386 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 kfreebsd-amd64 kfreebsd-i386],
${base-firebird-recommends}
Replaces: libreoffice-base (<< 1:4.3.0-3)
Breaks: libreoffice-base (<< 1:4.3.0-3)
@@ -4124,7 +4125,7 @@ Description: LibreOffice component for building database reports
Package: libreoffice-report-builder-bin
Section: misc
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el powerpcspe s390x sparc64 kfreebsd-amd64 kfreebsd-i386
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 kfreebsd-amd64 kfreebsd-i386
Depends: libreoffice-base, libreoffice-core, ${misc:Depends}, ${shlibs:Depends}
Description: LibreOffice component for building database reports -- libraries
LibreOffice is a full-featured office productivity suite that provides
@@ -4320,7 +4321,7 @@ Description: office productivity suite -- KDE 5 integration
Package: libreoffice-sdbc-postgresql
Section: misc
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el powerpcspe s390x sparc64 kfreebsd-amd64 kfreebsd-i386
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 kfreebsd-amd64 kfreebsd-i386
Depends: libreoffice-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: postgresql (>= 8.4)
Enhances: libreoffice-base-drivers
@@ -4334,7 +4335,7 @@ Homepage: http://wiki.documentfoundation.org/PostgreSQL-SDBC
Package: libreoffice-mysql-connector
Section: misc
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el powerpcspe s390x sparc64 kfreebsd-amd64 kfreebsd-i386
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 kfreebsd-amd64 kfreebsd-i386
Depends: libreoffice-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: default-mysql-server | virtual-mysql-server
Homepage: http://extensions.services.openoffice.org/en/project/mysql_connector
@@ -4346,7 +4347,7 @@ Description: MariaDB/MySQL Connector extension for LibreOffice
database from LibreOffice without any wrapper layer such as ODBC or JDBC.
Package: libreoffice-evolution
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el powerpcspe s390x sparc64 kfreebsd-amd64 kfreebsd-i386
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 kfreebsd-amd64 kfreebsd-i386
Section: gnome
Depends: libreoffice-base,
libreoffice-common,